QGIS Application - Feature request #12853
No confirmation message box when deleting a DB connection the browser panel
2015-05-30 09:21 AM - dassouki -

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Browser

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 20946
Description

Hi folks, | had this issue happen to me today.
To replicate:
- In the browser panel in QGIS, right click on a database

- Click on "delete"
- The connection is deleted with no warning or confirmation

Associated revisions

Revision aeda9554 - 2015-06-08 05:52 AM - Nyall Dawson
Add confirmation prompt before deleting PostGIS and Spatialite
tables through the browser. Also add confirmation before dropping
connections (fix #12853).

Revision 4fbda183 - 2015-06-24 01:54 PM - Nyall Dawson
Add confirmation prompt before deleting PostGIS and Spatialite
tables through the browser. Also add confirmation before dropping

connections (fix #12853).

Cherry-picked from aeda9554bac432c485c8694fd5c6185732ef01ce

History

#1 - 2015-05-30 09:34 AM - Jiirgen Fischer

- Tracker changed from Bug report to Feature request

#2 - 2015-05-30 11:27 PM - Giovanni Manghi
- Category set to Browser

#3 - 2015-05-31 12:01 PM - Anita Graser

I don't want to split hairs but | think this is a usability bug rather than a feature request. To have consistent behavior (e.g. with deleting a layer from the layer
list) there should be a confirmation dialog, particularly since the action cannot be undone.

#4 - 2015-06-01 04:45 AM - Nathan Woodrow
- Tracker changed from Feature request to Bug report
- Assignee set to Nathan Woodrow
- Tag set to UX
- Target version set to Version 2.10

We really need an undo for this kind of thing but a dialog will do for now.

#5 - 2015-06-07 10:17 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"aeda9554bac432c485c8694fd5c6185732ef01ce".

#6 - 2015-06-08 01:58 AM - Jiirgen Fischer
- Resolution set to fixed/implemented

- Tracker changed from Bug report to Feature request
